bcr_test_module:
  module_path: "e2e/use_release"
  matrix:
    bazel: ["7.x", "6.x"]
    # TODO(#9): add windows to this list
    platform: ["debian10", "macos", "ubuntu2004"]
  tasks:
    run_tests:
      name: "Run test module"
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      build_flags:
        # Bazel 6.x requires this flag set.
        - --@aspect_rules_py//py:interpreter_version=3.8.12
      build_targets:
        - "//..."
